Bug 145268 - esd continues to run after user has logged out of X
esd continues to run after user has logged out of X
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: esound (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-16 06:02 EST by Sitsofe Wheeler
Modified: 2013-03-13 00:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: esound-0.2.36-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-24 12:14:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sitsofe Wheeler 2005-01-16 06:02:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2) Gecko/20040804 Galeon/1.3.17

Description of problem:
Somtimes esd continues running after a user has logged out of X. This often has the side effect of keeping gam_server running too.

Version-Release number of selected component (if applicable):
esound-0.2.35-2

How reproducible:
Sometimes

Steps to Reproduce:
(Unsure as to the steps because I am only seeing the athermath)
1. Log into GNOME.
2. Run some programs that use esd?
3. Log out.
  

Actual Results:  Doing a ps aux | grep esd shows:
24001     8200  0.0  0.4  3980 1080 ?        Ss   Jan15   0:00 /usr/bin/esd -terminate -nobeeps -as 2 -spawnfd 28
Even though the only tasks still open for uid 24001 are a left over ssh-agent and gam_server

Expected Results:  No esd process should have been found.

Additional info:

I'm not sure what actually triggers this but it could well be related to the ancient bug #2286 (although I believe that sound for new users works even though an old esd continues to run).

Part of "... continues to run after X has exited" series (bug #138249, bug #138747, bug #139834, bug #140262, bug #140874, bug #142266)
Comment 1 Matthew Miller 2006-07-10 18:49:42 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Sitsofe Wheeler 2007-02-24 12:14:24 EST
I've just had a look for stray esd tasks on a bunch of FC6 machines we have and
I can't see any. Resolving FIXED.

Note You need to log in before you can comment on or make changes to this bug.